Name:		midisport-firmware
Version:	1.2
Release:	8%{dist}
Summary:	Firmware for the M-Audio/Midiman USB MIDI and Audio devices
Group:		System Environment/Kernel
License:	(MIT or GPLv2+) and Redistributable, no modification permitted
URL:		http://usb-midi-fw.sourceforge.net/
Source0:	http://downloads.sourceforge.net/usb-midi-fw/midisport-firmware-%{version}.tar.gz
Patch0:		midisport-firmware-1.2-udev-attrs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	fxload

%description
This package contains the firmware for M-Audio/Midiman USB MIDI & Audio devices.

Supported devices:
 - MidiSport 1x1
 - MidiSport 2x2
 - MidiSport 4x4
 - MidiSport 8x8
 - MidiSport Uno
 - Keystation
 - Oxygen
 - Radium

(You don't need a firmware download for the USB Audio Quattro, Duo, or
MidiSport 2x4.)


%prep
%setup -q
%patch0 -p1 -b .attrs

%build
sed -i -e 's|@fxload@|/sbin/fxload|g' -e 's|@firmwaredir@|/lib/firmware|g' 42-midisport-firmware.rules.in

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ihx $RPM_BUILD_ROOT/lib/firmware

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -pm 0644 42-midisport-firmware.rules.in $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/42-midisport-firmware.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README Changelog
/lib/firmware/MidiSport1x1.ihx
/lib/firmware/MidiSport2x2.ihx
/lib/firmware/MidiSport4x4.ihx
/lib/firmware/MidiSportKS.ihx
/lib/firmware/MidiSportLoader.ihx
/lib/firmware/MidiSport8x8-2.10.ihx
/lib/firmware/MidiSport8x8-2.21.ihx
%config %{_sysconfdir}/udev/rules.d/42-midisport-firmware.rules

%changelog
* Wed Jul 13 2011 Charles R. Anderson <cra@wpi.edu> - 1.2-8
- Use ATTRS idVendor/idProduct/bcdDevice to match devices in udev rules (#718904)
- Expand package description

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 06 2010 Dave Jones <davej@redhat.com>
- Fix the Source: line to point to sourceforges new download server/path.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Dave Jones <davej@redhat.com> [1.2-4.fc11]
- Fix up path for firmware files in udev rules. (#478911)
  (diff from Patrik Elmberg)

* Thu Aug 14 2008 Dave Jones <davej@redhat.com>
- Use udev rules from upstream package instead of our own.

* Thu Aug 14 2008 Dave Jones <davej@redhat.com>
- License clarification.

* Thu Feb 28 2008 Dave Jones <davej@redhat.com> - 1.2-1
- Initial import.
